%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define		rubyabi		1.8

Name:		ruby-amazon
Version:	0.9.2
Release:	3%{?dist}
Summary:	Ruby interface to Amazon Web Services
Group:		Development/Languages

License:	GPL
URL:		http://www.caliban.org/ruby
Source0:	http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby
Provides:	ruby(amazon) = %{version}-%{release}

%description
Ruby/Amazon is a Ruby interface to Amazon Web Services. Information on the
Amazon Web Services can be found at:

  http://www.amazon.com/gp/browse.html?node=3435361

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
ruby setup.rb config \
	--prefix=%{_prefix} \
	--site-ruby=%{ruby_sitelib}
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

%{__chmod} ugo-x example/*
find test/ -type f | xargs %{__chmod} ugo-x

# For check:
# Don't do check. Almost all checks fails is dev_token
# is not registered.

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README*

%{ruby_sitelib}/amazon.rb
%{ruby_sitelib}/amazon/

%files doc
%defattr(-,root,root,-)
%doc AmazonWebServices/
%doc example/
%doc test/

%changelog
* Tue May  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.2-3
- Split documentation

* Sun Apr 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.2-2
- Don't provide rdoc files to aboid unwanted conflict with ri

* Sat Apr 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.2-1
- Initial packaging, based on the spec file by developer

* Wed Aug  9 2006 Ian Macdonald <ian@caliban.org>
- 0.9.2
- In methods that use the 'keywords' parameter, it was being URL-encoded too
  early, which could cause format-specifier-related exceptions later on.
- When using shopping-carts, the purchase URL now also works within the 'uk'
  locale. Other locales probably work, too.


